{% extends "base.html" %}
{% block body %}
    {% if rr %}
        <h2>Record bearbeiten</h2>
        <div class="alert alert-info"><i class="fa fa-info-circle"></i> Zum Bearbeiten des {{ colnames['NTree']['fqdn'].short_title_abs }} und der FQDN-Attribute wie z.B. der {{ colnames['NTree']['description'].short_title_abs }}, <a
                href="{{ url_for('dnsvs.edit_fqdn', fqdn=rr_form.fqdn.data, src=request.url) }}">bearbeiten Sie bitte direkt den {{ colnames['NTree']['fqdn'].short_title_abs }}</a>.</div>
    {% else %}
        {% if rr_type %}
            <h2>Neuen {{ rr_type }}-Record anlegen</h2>
        {% else %}
            <h2>Neuen Record anlegen</h2>
        {% endif %}
    {% endif %}
    {% if area %}
        <h5>Bereich: <code>{{ area.net.net }}</code></h5>
    {% endif %}
    <form method="post" action="">
        {{ rr_form.hidden_tag() }}
        <label for="fqdn">{{ inputs['l'][0].label }}</label>
        {% if rr %}
            <div class="card">
                <a id="fqdn"
                   href="{{ url_for('dnsvs.edit_fqdn', fqdn=rr_form.fqdn.data, src=request.url) }}">{{ rr_form.fqdn.data }}</a>
            </div>
            <div>
                <label for="fqdn-descr">{{ colnames['NTree']['description'].short_title_abs }}</label>
            </div>
            <div id="fqdn-descr" class="card">{% if rr_form.description.data %}{{ rr_form.description.data }}{% else %}
                <i>Keine {{ colnames['NTree']['description'].short_title_abs }} gesetzt.</i>{% endif %}</div>
        {% else %}
            <div class="form-group" id="typeahead">
                <input class="form-control {% if rr_form.fqdn.errors|length > 0 %}is-invalid{% endif %}"
                       id="fqdn" type="text" name="fqdn" placeholder="{{ inputs['l'][0].placeholder }}"
                       value="{{ rr_form.fqdn.data }}" required>
                {% if rr_form.fqdn.errors %}
                    <div class="invalid-feedback">
                        <ul>
                            {% for e in rr_form.fqdn.errors %}
                                <li>{{ e }}</li>
                            {% endfor %}
                        </ul>
                    </div>
                {% endif %}
            </div>
            <div class="form-group form-group-inline">
                <label for="fqdn-descr">{{ colnames['NTree']['description'].short_title_abs }}</label>
                <input class="form-control {% if rr_form.description.errors|length > 0 %}is-invalid{% endif %}"
                       id="fqdn-descr" type="text" name="{{ rr_form.description.name }}"
                       value="{{ rr_form.description.data }}">
                {% if rr_form.description.errors %}
                    <div class="invalid-feedback">
                        <ul>
                            {% for e in rr_form.description.errors %}
                                <li>{{ e }}</li>
                            {% endfor %}
                        </ul>
                    </div>
                {% endif %}
            </div>
            <div class="form-check form-check-inline">
                <label class="form-check-label">
                    <input class="form-check-input" type="checkbox" value="True"
                           name="{{ rr_form.description_override.name }}">
                    {{ colnames['NTree']['description'].short_title_abs }} überschreiben, falls sie für
                    diesen {{ colnames['NTree']['fqdn'].short_title_abs }} schon gesetzt ist
                </label>
            </div>
        {% endif %}
        <div class="form-group">
            <label for="inttype">Record-Typ</label>
            <select class="form-control" id="inttype" name="inttype">
                {% for i in possible_inttypes if (rr == none and i.dns_rr_type_name == rr_type or rr_type is none) or (rr != none and i.dns_rr_type_name == rr['rr'].inttype.dns_rr_type_name) %}
                    <option {% if rr_form.inttype.data == i.name -%} selected {%- endif %} value="{{ i.name }}">
                        {{ rr.dbrt_name }}{{ i.description }} [{{ i.rrd_auto_dml_fqdn_text }}]
                    </option>
                {% endfor %}
            </select>
        </div>
        {% for rr_data_form in rr_form.rr_data %}
            <div class="form-group">
                <label>{{ rr_data_form.label }}</label>
                <input type="text" placeholder="{{ rr_data_form.description }}"
                       class="form-control {% if rr_data_form.errors|length > 0 %}is-invalid{% endif %}"
                       name="{{ rr_data_form.name }}"
                       value="{% if rr_data_form.data %}{{ rr_data_form.data }}{% else %}{{ prefix }}{% endif %}"/>
                {% if rr_data_form.errors %}
                    <div class="invalid-feedback">
                        <ul>
                            {% for e in rr_data_form.errors %}
                                <li>{{ e }}</li>
                            {% endfor %}
                        </ul>
                    </div>
                {% endif %}
            </div>
        {% endfor %}
        <a href="{{ return_url }}" class="btn btn-outline-danger">Zurück</a>
        <button type="reset" class="btn btn-outline-reset">Eingaben zurücksetzen</button>
        {% if rr %}
            <button type="submit" class="btn btn-outline-primary"
                    title="Record-Eintragung in aktuelle Transaktion übernehmen">Änderung in Transaktion übernehmen
            </button>
        {% else %}
            <button type="submit" class="btn btn-outline-success"
                    title="Record-Eintragung in aktuelle Transaktion übernehmen">Record in Transaktion übernehmen
            </button>
            {% if rr_type == 'A' or rr_type == 'AAAA' %}
                <button type="submit" class="btn btn-outline-success" name="add_next"
                        title="Record-Eintragung in aktuelle Transaktion übernehmen und weiteren Record eintragen">
                    Weiteren Record anlegen
                </button>
            {% endif %}
        {% endif %}
    </form>
{% endblock %}
{% block post_script %}
    <script src="/static/js/node_modules/typeahead.js/dist/typeahead.bundle.js"></script>
    <script src="/static/js/netsuite.dnsvs.fqdn-typeahead.js"></script>
{% endblock %}
